Bug 755817 - [abrt] yelp-3.2.1-2.fc16: _int_free: Process /usr/bin/yelp was killed by signal 11 (SIGSEGV)
[abrt] yelp-3.2.1-2.fc16: _int_free: Process /usr/bin/yelp was killed by sign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:761af36cfb9e825e3d9b69e0828...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-22 01:25 EST by Oleg
Modified: 2013-02-13 11:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:37:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (2.33 KB, text/plain)
2011-11-22 01:25 EST, Oleg
no flags Details
File: maps (27.96 KB, text/plain)
2011-11-22 01:25 EST, Oleg
no flags Details
File: backtrace (107.99 KB, text/plain)
2011-11-22 01:25 EST, Oleg
no flags Details

  None (edit)
Description Oleg 2011-11-22 01:25:12 EST
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        yelp ghelp:gnome-search-tool
comment:        start help
crash_function: _int_free
executable:     /usr/bin/yelp
kernel:         3.1.1-2.fc16.i686
reason:         Process /usr/bin/yelp was killed by signal 11 (SIGSEGV)
time:           Tue Nov 22 10:03:18 2011
uid:            1000
username:       soz
xsession_errors: ![1321941227,000,xklavier_evt_xkb.c:xkl_*** glibc detected *** yelp: double free or corruption (out): 0x08de58d0 ***

backtrace:      Text file, 110583 bytes
maps:           Text file, 28630 bytes
smolt_data:     Binary file, 2391 bytes

dso_list:
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.i686 (Fedora Project) 1321428365
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.10.1-2.fc16.i686 (Fedora Project) 1321429132
:/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.1-1.fc16.i686 (Fedora Project) 1321428781
:/usr/lib/libicudata.so.46.0 libicu-4.6-2.fc16.i686 (Fedora Project) 1321428417
:/usr/lib/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc16.i686 (Fedora Project) 1321428779
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc16.noarch (Fedora Project) 1321428519
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1321428381
:/usr/lib/libgstreamer-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.i686 (Fedora Project) 1321428475
:/usr/share/locale/ru/LC_MESSAGES/glib20.mo glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321428372
:/lib/libselinux.so.1 libselinux-2.1.6-4.fc16.i686 (Fedora Project) 1321433993
:/lib/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.i686 (Fedora Project) 1321428370
:/usr/lib/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.i686 (Fedora Project) 1321428413
:/usr/lib/librsvg-2.so.2.34.1 librsvg2-2.34.1-1.fc16.i686 (Fedora Project) 1321428781
:/lib/librt-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/lib/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.i686 (Fedora Project) 1321428338
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.2.1.2-1.fc16.noarch (Fedora Project) 1321433990
:/usr/lib/libwebkitgtk-3.0.so.0.11.0 webkitgtk3-1.6.1-1.fc16.i686 (Fedora Project) 1321428825
:/usr/lib/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1321428773
:/usr/lib/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1321428773
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1321428384
:/usr/share/locale/ru/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.24.0-1.fc16.i686 (Fedora Project) 1321428413
:/usr/lib/gio/modules/libdconfsettings.so dconf-0.10.0-1.fc16.i686 (Fedora Project) 1321428709
:/lib/libgthread-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321428372
:/usr/lib/libicuuc.so.46.0 libicu-4.6-2.fc16.i686 (Fedora Project) 1321428417
:/usr/lib/locale/locale-archive glibc-common-2.14.90-14.i686 (Fedora Project) 1321428349
:/usr/lib/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-4.fc16.i686 (Fedora Project) 1321428534
:/usr/lib/libjavascriptcoregtk-3.0.so.0.11.0 webkitgtk3-1.6.1-1.fc16.i686 (Fedora Project) 1321428825
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.i686 (Fedora Project) 1321428364
:/usr/share/locale/ru/LC_MESSAGES/libc.mo glibc-common-2.14.90-14.i686 (Fedora Project) 1321428349
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.i686 (Fedora Project) 1321428381
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1321428382
:/usr/lib/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1321428773
:/lib/libpthread-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1321428369
:/usr/lib/libgstapp-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-3.fc16.i686 (Fedora Project) 1321433978
:/usr/share/locale/ru/LC_MESSAGES/gtk30.mo gtk3-3.2.1-1.fc16.i686 (Fedora Project) 1321428775
:/usr/lib/libltdl.so.7.3.0 libtool-ltdl-2.4-7.fc16.i686 (Fedora Project) 1321428378
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1321428382
:/usr/lib/libgailutil-3.so.0.0.0 gtk3-3.2.1-1.fc16.i686 (Fedora Project) 1321428775
:/usr/lib/gtk-3.0/modules/libpk-gtk-module.so PackageKit-gtk3-module-0.6.20-1.fc16.i686 (Fedora Project) 1321701893
:/usr/lib/libgstinterfaces-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-3.fc16.i686 (Fedora Project) 1321433978
:/lib/libdl-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/usr/lib/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.i686 (Fedora Project) 1321428376
:/usr/share/locale/ru/LC_MESSAGES/webkit-3.0.mo webkitgtk3-1.6.1-1.fc16.i686 (Fedora Project) 1321428825
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1321428375
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1321428379
:/lib/libc-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/usr/lib/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-2.fc16.i686 (Fedora Project) 1321433974
:/lib/libgobject-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321428372
:/lib/libm-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-3.fc16.i686 (Fedora Project) 1321428381
:/usr/lib/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.i686 (Fedora Project) 1321428379
:/usr/lib/liblzma.so.5.0.99 xz-libs-5.1.1-1alpha.fc16.i686 (Fedora Project) 1321428379
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.i686 (Fedora Project) 1321428532
:/usr/lib/libicui18n.so.46.0 libicu-4.6-2.fc16.i686 (Fedora Project) 1321428417
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1321428380
:/lib/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.i686 (Fedora Project) 1321428364
:/usr/lib/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.i686 (Fedora Project) 1321428368
:/lib/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.i686 (Fedora Project) 1321428369
:/lib/libutil-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-3.fc16.i686 (Fedora Project) 1321428382
:/usr/lib/libgstvideo-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-3.fc16.i686 (Fedora Project) 1321433978
:/lib/libz.so.1.2.5 zlib-1.2.5-5.fc16.i686 (Fedora Project) 1321431728
:/lib/libnss_files-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/usr/lib/libgdk-3.so.0.200.1 gtk3-3.2.1-1.fc16.i686 (Fedora Project) 1321428775
:/lib/libcrypt-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.10.1-2.fc16.i686 (Fedora Project) 1321429132
:/usr/lib/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.i686 (Fedora Project) 1321428387
:/lib/libgmodule-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321428372
:/lib/libresolv-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/usr/bin/yelp yelp-1:3.2.1-2.fc16.i686 (Fedora Project) 1321428920
:/usr/lib/libexslt.so.0.8.15 libxslt-1.1.26-8.fc16.i686 (Fedora Project) 1321428382
:/usr/lib/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.2.1-2.fc16.i686 (Fedora Project) 1321428939
:/usr/share/locale/ru/LC_MESSAGES/atk10.mo atk-2.2.0-2.fc16.i686 (Fedora Project) 1321428374
:/usr/lib/libfreetype.so.6.7.1 freetype-2.4.6-3.fc16.i686 (Fedora Project) 1321428364
:/usr/lib/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.i686 (Fedora Project) 1321428385
:/usr/lib/libatk-1.0.so.0.20209.1 atk-2.2.0-2.fc16.i686 (Fedora Project) 1321428374
:/lib/libuuid.so.1.3.0 libuuid-2.20.1-2.fc16.i686 (Fedora Project) 1321428369
:/usr/lib/libyelp.so.0.0.0 yelp-libs-1:3.2.1-2.fc16.i686 (Fedora Project) 1321428919
:/usr/lib/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1321428379
:/usr/lib/libgstbase-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.i686 (Fedora Project) 1321428475
:/usr/lib/gconv/gconv-modules.cache glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/usr/lib/libICE.so.6.3.0 libICE-1.0.7-1.fc16.i686 (Fedora Project) 1321428366
:/usr/lib/libenchant.so.1.6.0 enchant-1:1.6.0-3.fc16.i686 (Fedora Project) 1321428392
:/usr/lib/libsoup-2.4.so.1.4.0 libsoup-2.36.1-2.fc16.i686 (Fedora Project) 1321428497
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc16.i686 (Fedora Project) 1321428370
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.2-1.fc16.i686 (Fedora Project) 1321428365
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1321428387
:/lib/libfreebl3.so nss-softokn-freebl-3.12.10-6.fc16.i686 (Fedora Project) 1321434204
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc16.i686 (Fedora Project) 1321428381
:/usr/lib/libcanberra.so.0.2.5 libcanberra-0.28-3.fc16.i686 (Fedora Project) 1321428701
:/lib/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.i686 (Fedora Project) 1321428367
:/usr/share/locale/ru/LC_MESSAGES/yelp.mo yelp-1:3.2.1-2.fc16.i686 (Fedora Project) 1321428920
:/usr/lib/libXt.so.6.0.0 libXt-1.1.1-1.fc16.i686 (Fedora Project) 1321428382
:/lib/libudev.so.0.12.0 libudev-173-3.fc16.i686 (Fedora Project) 1321428368
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1321428382
:/usr/lib/libgstpbutils-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-3.fc16.i686 (Fedora Project) 1321433978
:/usr/lib/libgtk-3.so.0.200.1 gtk3-3.2.1-1.fc16.i686 (Fedora Project) 1321428775
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc16.noarch (Fedora Project) 1321428462
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1321428381
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1321428375
:/usr/lib/libxslt.so.1.1.26 libxslt-1.1.26-8.fc16.i686 (Fedora Project) 1321428382
:/usr/lib/gtk-3.0/3.0.0/immodules/im-xim.so gtk3-immodule-xim-3.2.1-1.fc16.i686 (Fedora Project) 1321429298
:/usr/lib/libgeoclue.so.0.0.0 geoclue-0.12.0-7.fc16.i686 (Fedora Project) 1321428717
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.i686 (Fedora Project) 1321428534
:/lib/ld-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321428353
:/lib/libgio-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321428372
:/lib/libglib-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321428372
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1321428375
:/usr/lib/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc16.i686 (Fedora Project) 1321428779

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ca7c5d3ce9fa7d02f1ee434b00000010-1321929267.387721-112544177
:'IMSETTINGS_MODULE=X compose table'
:USER=soz
:USERNAME=soz
:MAIL=/var/spool/mail/soz
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/soz/.local/bin:/home/soz/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/soz
:XMODIFIERS=@im=none
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/soz
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=soz
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-9HEWjtrgUr,guid=0cd6025a081ea1093dec379300000027
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/soz
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-soz-FOQ6wx/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1918,unix/unix:/tmp/.ICE-unix/1918
:GNOME_KEYRING_CONTROL=/tmp/keyring-iPAxk1
:SSH_AUTH_SOCK=/tmp/keyring-iPAxk1/ssh
:GPG_AGENT_INFO=/tmp/keyring-iPAxk1/gpg:0:1
:LC_TIME=ru_RU.utf8
:LC_NUMERIC=ru_RU.utf8
:LC_MONETARY=ru_RU.utf8
:LC_MEASUREMENT=ru_RU.utf8
:DESKTOP_STARTUP_ID=gnome-search-tool-11184-localhost.localdomain-yelp-0_TIME12564150
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-yelp.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=11191

var_log_messages:
:Nov 22 10:03:18 localhost kernel: [12566.272575] yelp[11191]: segfault at 8e0f004 ip 43f70315 sp bfa45cf0 error 4 in libc-2.14.90.so[43efa000+1a5000]
:Nov 22 10:03:19 localhost abrt[11199]: saved core dump of pid 11191 (/usr/bin/yelp) to /var/spool/abrt/ccpp-2011-11-22-10:03:18-11191 (66256896 bytes)
Comment 1 Oleg 2011-11-22 01:25:15 EST
Created attachment 534923 [details]
File: smolt_data
Comment 2 Oleg 2011-11-22 01:25:18 EST
Created attachment 534924 [details]
File: maps
Comment 3 Oleg 2011-11-22 01:25:23 EST
Created attachment 534925 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-01-16 10:15:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 11:37:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.